Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6246 - 'mv' doesn't care about permissions
Summary: 'mv' doesn't care about permissions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 15:13 UTC by kaje
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 19:21:49 UTC


Attachments (Terms of Use)

Description kaje 1999-10-22 15:13:58 UTC
The mv-command doesn't care that your files are
writeprotected (eg. mode 0444). You are allowed to mv a file
(any mode) onto a writeproted one (thus loosing it). The
rm-command doesn't (as expected) allow you to delete
writeprotected files without either a warning or the f-flag.
This bug was not in RH5.1 (fileutils-3.16-10) and pre. It
seems to have been introduced with v. 4 of fileutils as it
also was in RH6.0 (fileutils-4.0-1).

Comment 1 Bernhard Rosenkraenzer 2000-02-17 19:21:59 UTC
Fixed in 4.0-19 (rawhide).


Note You need to log in before you can comment on or make changes to this bug.